{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Managemen Berkas / Dokumentasi Pekerjaan</li>
        </ol>
    </nav>


    <div class="d-flex">
        <div class="flex-fill"> 
            <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahdokumentasi"><i class="bi bi-plus"></i> Tambah Data Dokumentasi Pekerjaan</button>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsipperusahaan"><i class="bi bi-trash"></i>Arsip Data Dokumentasi Pekerjaan</button>
        </div>
    </div> 

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Managemen Berkas Dokumentasi Pekerjaan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
            <div class="card-title">
                <div class="col-md-12">
                    <div class="input-group">
                      <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-500px ps-13 filter" aria-describedby="basic-addon2" data-filter="query" placeholder="Cari Data" />
                      <div class="input-group-append">
                        <button class="form-control btn  btn-warning" onclick="filter_data(this, event, false)">Cari</button>
                        <button class="form-control btn  btn-danger" onclick="filter_data(this, event, true)">Reset</button>
                      </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12 table-responsive">
                    {% include 'profile/layouts/admin/pagination.html' %}
                    <table class="table table-striped table-bordered " style="width: 100%;" id="table-list">
                        <thead class="bg-primary text-white">
                           <tr>
                            <th class="text-center align-middle" rowspan="2">No</th>
                            <th class="text-center align-middle" rowspan="2">SKPD</th>
                            <th class="text-center align-middle" rowspan="2">NO. SPK</th>
                            <th class="text-center align-middle" rowspan="2">NO. Dokumentasi</th>
                            <th class="text-center align-middle" rowspan="2">Tanggal Dokumentasi</th>
                            <th class="text-center align-middle" rowspan="2">Uraian</th>
                            <th class="text-center align-middle" colspan="6">Foto Dokumentasi</th>
                            <th class="text-center align-middle" rowspan="2">Aksi</th>
                           </tr>
                           <tr>
                                <th class="text-center align-middle"> Bukti 1 </th>
                                <th class="text-center align-middle"> Bukti 2 </th>
                                <th class="text-center align-middle"> Bukti 3 </th>
                                <th class="text-center align-middle"> Bukti 4 </th>
                                <th class="text-center align-middle"> Bukti 5 </th>
                                <th class="text-center align-middle"> Bukti 6 </th>
                           </tr>
                        </thead>
                        <tbody>
                            {% for item_doc_pekerjaan in doc_pekerjaan_list %}
                            <tr>
                                <td class="">{{forloop.counter}}</td>
                                <td class="">{{item_doc_pekerjaan.SPK.opd.namaopd}}</td>
                                <td class="">{{item_doc_pekerjaan.SPK.nospk}}</td>
                                <td class="">{{item_doc_pekerjaan.nodoc}}</td>
                                <td class="">{{item_doc_pekerjaan.tgldoc}}</td>
                                <td class="">{{item_doc_pekerjaan.uraidoc}}</td>
                                <td class=""><img src="{{item_doc_pekerjaan.bukti1.url}}" width="100"></td>
                                <td class=""><img src="{{item_doc_pekerjaan.bukti2.url}}" width="100"></td>
                                <td class=""><img src="{{item_doc_pekerjaan.bukti3.url}}" width="100"></td>
                                <td class=""><img src="{{item_doc_pekerjaan.bukti4.url}}" width="100"></td>
                                <td class=""><img src="{{item_doc_pekerjaan.bukti5.url}}" width="100"></td>
                                <td class=""><img src="{{item_doc_pekerjaan.bukti6.url}}" width="100"></td>
                                <td class="">
                                    <a href="#" data-url="{% url 'profile:admin_dokumentasi_print' item_doc_pekerjaan.id %}" onclick="print_dokumentasi(this, event)" class="btn btn-sm btn-warning mx-4"><span class="fa fa-print"></span></a>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    {% include 'profile/layouts/admin/pagination.html' %}
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/admin/dokumentasi/modal.html' %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
<script>
    $(document).ready(function() {
        $('#data_spk').change(function() {
            var id_pk = $(this).val(); 
            if (id_pk) {
                $.ajax({
                    url: "{% url 'profile:get_urai_doc' 0 %}".replace('0', id_pk),
                    type: 'POST',
                    headers: {
                        'X-CSRFToken': '{{ csrf_token }}' 
                    },
                    success: function(response) {
                        if (response.status === 'success') {
                            console.log('berhasil');
                            // Jika data_rincian adalah objek, kita bisa menyaring dan menampilkan data yang diperlukan
                            $('input[name="uraidoc"]').val(response.data_rincian.uraipekerjaan); // Jika data_rincian adalah string atau id
                        } else {
                            alert(response.message); 
                        }
                    },
                    error: function(xhr, status, error) {
                        alert('Terjadi kesalahan: ' + error);
                    }
                });
            } else {
                // Kosongkan input jika tidak ada id_spk yang dipilih
                $('input[name="uraidoc"]').val('');
            }
        });
    });
    
    </script>
    <script>
        function print_dokumentasi(e, ev){
            ShowIframeReport(
                `${$(e).data('url')}`,
                'Cetak Dokumentasi Pekerjaan',
                ev
            );
        }
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/perusahaan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Master Perusahaan berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/perusahaan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master Perusahaan gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/perusahaan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Master Perusahaan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/perusahaan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master perusahaan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}